package com.landray.kmss.sys.attachment.thirdSfs.rest.controller;

import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.ResponseBody;
import com.landray.kmss.sys.attachment.thirdSfs.vo.ThirdSfsResponseResult;
import com.landray.kmss.util.StringUtil;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.multipart.MultipartFile;
import org.springframework.web.bind.annotation.GetMapping;
import com.alibaba.fastjson.JSONObject;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpServletRequest;
import com.landray.kmss.web.annotation.RestApi;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.landray.kmss.sys.attachment.thirdSfs.rest.extend.SysAttExtendYozoRestService;
import com.landray.kmss.sys.attachment.thirdSfs.rest.SysAttThirdController;

@RestController
@RequestMapping({ "/api/sys-attachment/yozoAtt" })
@RestApi(docUrl = "/third/yozo/rest/sysAttYozoRestServiceHelp.jsp", name = "SysAttYozoContrlller", resourceKey = "sys-attachment:yozo.controll.title.new")
public class SysAttYozoController extends SysAttThirdController<SysAttExtendYozoRestService>
{
    @GetMapping({ "/download" })
    public void download(final HttpServletRequest request, final HttpServletResponse response) throws Exception {
        final JSONObject params = new JSONObject();
        params.put("sysToken", (Object)request.getParameter("sysToken"));
        params.put("emptyMapping", (Object)this.emptyMapping);
        params.put("request", (Object)request);
        params.put("response", (Object)response);
        this.getSysAttStandardThirdRestService(request).download(params);
    }
    
    @ResponseBody
    @RequestMapping({ "/edit/wo/callback" })
    public JSONObject save(final HttpServletRequest request, final HttpServletResponse response, @RequestParam("file") final MultipartFile file) throws Exception {
        final JSONObject params = new JSONObject();
        final JSONObject _rtn = new JSONObject();
        final JSONObject extraData = StringUtil.isNull(StringUtil.getString(request.getParameter("extraData"))) ? null : JSONObject.parseObject(request.getParameter("extraData"));
        if (extraData != null && "true".equals(extraData.getString("noSave"))) {
            _rtn.put("success", (Object)"true");
        }
        else {
            params.put("fdFileName", (Object)request.getParameter("fileName"));
            params.put("fdFileId", (Object)request.getParameter("fileId"));
            params.put("userId", (Object)request.getParameter("userId"));
            params.put("file", (Object)file);
            final ThirdSfsResponseResult res = this.getSysAttStandardThirdRestService(request).save(params);
            if (res.getData() != null && "true".equals(res.getData().getString("res"))) {
                _rtn.put("success", (Object)"true");
            }
        }
        return _rtn;
    }
    
    @ResponseBody
    @RequestMapping(value = { "/convert/callback" }, method = { RequestMethod.POST })
    public JSONObject convertCallback(final HttpServletRequest request, final HttpServletResponse response, @RequestBody final String data) throws Exception {
        final JSONObject params = new JSONObject();
        params.put("data", (Object)data);
        final ThirdSfsResponseResult res = ((SysAttExtendYozoRestService)this.getSysAttExtendThirdRestService(request)).convertCallback(params);
        return res.getData();
    }
    
    @ResponseBody
    @RequestMapping(value = { "/pizhu/callback" }, method = { RequestMethod.POST })
    public JSONObject pizhuCallBack(final HttpServletRequest request, final HttpServletResponse response) throws Exception {
        final JSONObject params = new JSONObject();
        final String fileDownload = request.getParameter("signFileUrl");
        final JSONObject attach = JSONObject.parseObject(request.getParameter("fcsCustomData"));
        final String fdAttId = attach.getString("fileId");
        final String fdUserId = attach.getString("userId");
        params.put("fileDownload", (Object)fileDownload);
        params.put("fdAttId", (Object)fdAttId);
        params.put("fdUserId", (Object)fdUserId);
        final ThirdSfsResponseResult res = ((SysAttExtendYozoRestService)this.getSysAttExtendThirdRestService(request)).pizhuCallback(params);
        return res.getData();
    }
}
